    001    /*
    002     * Licensed to the Apache Software Foundation (ASF) under one or more
    003     * contributor license agreements.  See the NOTICE file distributed with
    004     * this work for additional information regarding copyright ownership.
    005     * The ASF licenses this file to You under the Apache License, Version 2.0
    006     * (the "License"); you may not use this file except in compliance with
    007     * the License.  You may obtain a copy of the License at
    008     *
    009     *     http://www.apache.org/licenses/LICENSE-2.0
    010     *
    011     * Unless required by applicable law or agreed to in writing, software
    012     * distributed under the License is distributed on an "AS IS" BASIS,
    013     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014     * See the License for the specific language governing permissions and
    015     * limitations under the License.
    016     */
    017
    018    package org.apache.commons.configuration;
    019
    020    import org.apache.commons.lang.exception.NestableRuntimeException;
    021
    022    /**
    023     * A configuration related runtime exception.
    024     *
    025     * @since 1.0
    026     *
    027     * @author Emmanuel Bourg
    028     * @version $Id: ConfigurationRuntimeException.java 1208785 2011-11-30 21:13:50Z oheger $
    029     */
    030    public class ConfigurationRuntimeException extends NestableRuntimeException
    031    {
    032        /**
    033         * The serial version ID.
    034         */
    035        private static final long serialVersionUID = -7838702245512140996L;
    036
    037        /**
    038         * Constructs a new {@code ConfigurationRuntimeException} without
    039         * specified detail message.
    040         */
    041        public ConfigurationRuntimeException()
    042        {
    043            super();
    044        }
    045
    046        /**
    047         * Constructs a new {@code ConfigurationRuntimeException} with
    048         * specified detail message.
    049         *
    050         * @param message  the error message
    051         */
    052        public ConfigurationRuntimeException(String message)
    053        {
    054            super(message);
    055        }
    056
    057        /**
    058         * Constructs a new {@code ConfigurationRuntimeException} with
    059         * specified nested {@code Throwable}.
    060         *
    061         * @param cause  the exception or error that caused this exception to be thrown
    062         */
    063        public ConfigurationRuntimeException(Throwable cause)
    064        {
    065            super(cause);
    066        }
    067
    068        /**
    069         * Constructs a new {@code ConfigurationRuntimeException} with
    070         * specified detail message and nested {@code Throwable}.
    071         *
    072         * @param message  the error message
    073         * @param cause    the exception or error that caused this exception to be thrown
    074         */
    075        public ConfigurationRuntimeException(String message, Throwable cause)
    076        {
    077            super(message, cause);
    078        }
    079    }